
Red Hat Enterprise Linux 4.6 Release Notes

   Copyright © 2007 Red Hat, Inc. and others. This material may be distributed
   only subject to the terms and conditions set forth in the Open Publication
   License, v1.0, available at http://www.opencontent.org/openpub/.
     _________________________________________________________________

Introduction

   The following topics are covered in this document:
     * Installation-Related Notes
     * Feature Updates
     * Kernel-Related Updates
     * Driver Updates
     * Other Updates
     * Technology Previews
     * Known Issues

   Some updates on Red Hat Enterprise Linux 4.6 may not appear in this version
   of the Release Notes. An updated version of the Red Hat Enterprise Linux 4.6
   Release Notes may also be available at the following URL:

   http://www.redhat.com/docs/manuals/enterprise/

Installation-Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

Note

   In order to upgrade an existing Red Hat Enterprise Linux 4 installation to
   Red Hat Enterprise Linux 4.6, you must use Red Hat Network to update those
   packages that have changed.

   You  can  also use Anaconda to perform a fresh installation of Red Hat
   Enterprise  Linux 4.6 or to perform an upgrade from the latest updated
   version of Red Hat Enterprise Linux 4.
     * If you are copying the contents of the Red Hat Enterprise Linux 4.6
       CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not copy
       the Supplementary CD-ROM, or any of the layered product CD-ROMs, as this
       will overwrite files necessary for Anaconda's proper operation.
       These CD-ROMs must be installed after Red Hat Enterprise Linux has been
       installed.
     * If you installed Red Hat Enterprise Linux 4.6 through a serial console,
       the  login  prompt  may  not  appear.  To  work  around this, open
       /etc/yaboot.conf and locate the following line:
        append="console=tty0 console=ttyS4 rhgb quiet"
       Edit this line by switching the order of console=tty0 and console=ttyS4
       such that the line now reads as follows:
        append="console=ttyS4 console=tty0 rhgb quiet"

Feature Updates

   nordirplus
          You can now disable the READDIRPLUS call for a mount using the new
          NFS mount option nordirplus.

   SB600 Support
          The libata driver now supports SB600 IDE devices.

          For those familiar with the ide-generic method of handling SB600 IDE
          devices, note that the /dev/hd* entries are now /dev/sd*.

   samba
          samba has been updated to version 3.0.25b. This addresses several
          critical issues affecting interoperability with Windows 2003™ and
          Windows Vista™ (resolved in recent upstream releases).

          All revisions to samba made for this update entailed invasive code
          changes in some critical code paths. This made backporting to version
          3.0.10 non-feasible. As such, all samba packages were rebased to
          version 3.0.25b instead.

          Because  of  the rebase, some option interpretation methods and
          components behaviors changed significantly. This means that after
          upgrading samba, the configuration file will need to be manually
          edited.

          Some options like ldap filter and minimum password length are now
          deprecated. Before upgrading to this new version of samba, consult
          the samba package errata and check if your system is dependent on any
          removed option.

          This update of samba applies several feature updates, most notably:

          + Stricter naming rules are now enforced. These new rules affect
            force user, force group, valid user and other directives that
            accept user or group names. In this update, the user/group name
            must be fully qualified.
            For example, if a machine is joined to a domain named DOMAIN, a
            user named foo of that domain must be used in the form DOMAIN\foo.
            Simply using foo will normally deny permission to the machine.
          + Support for multiple passdb backends is now deprecated. Support for
            multiple passdb led to subtle problems in some cases, while adding
            little to the usability of the server.
            To  use multiple databases, consolidate them in one database.
            Afterwards, migrate the accounts stored in the other databases
            using the pdbebit utility.
          + winbindd now detects the domain type of a server and automatically
            chooses the right security method. Even setting security = domain
            may result in winbindd using kerberos/ldap to connect to a domain
            recognized as AD-capable.
          + The ldap schema is now extended. If you are using the ldapsam
            backend, upgrade to this extended ldap schema. The upgrade is
            backwards compatible.
            When you upgrade to the extended ldap schema, it is recommended
            that you index sambaSID to handle sub-matches.
          + winbindd NSS enumeration now defaults to OFF. This benefits large
            environments where multiple domain controllers, trusts, and remote
            locations are involved. If your environment depends on user/group
            enumeration, you can turn it on using the options winbind enum
            users and winbind enum groups.

Kernel-Related Updates

     * madvise() now supports DONTFORK and DOFORK.
     * /proc/sys/vm/drop_caches added to clear pagecache and slabcache on
       demand.
     * Removed upper value limit on /proc/sys/vm/max_queue_depth.
     * oom_killer is now supported to activate kernel panic on out-of-memory
       conditions.
     * smaps functionality is now supported.
     * Fixed an nfsv4 link bug that prevented i_nlink counts from updating
       properly.
     * Added a missing fput() call in 32-bit ioctl to address an exploit that
       allowed local users to cause a kernel panic.
     * dir_mode and file_mode now have default values.
     * CONFIG_KPROBES is now enabled to provide support for Systemtap.
     * cpuid emulation added for AMD processors.
     * Fixed a bug that prevented CPU frequency from scaling correctly on
       Conroe and Broadwater chipsets.
     * Kernel source now contains SMBus Device IDs for AMD and ATI SB600.
     * Added additional device IDs for ATI SB700.
     * MMCONFIG is now disabled by default on Intel Core 2 Duo platform.
     * Oprofile now supports new Greyhound performance counter events.
     * /proc NUMA maps are now supported.
     * SB700 SATA controller is now supported.
     * Intel 6300ESB Watchdog timer is now supported.

Driver Updates

     * megaraid_sas:  updated to version 00.00.03.13 to support PowerEdge
       Expandable Raid Controller (PERC 6).
     * k8_edac driver now supports revision F processors.
     * qla2xxx: updated to version 8.01.07.04. This applies the following
       changes:
          + included a workaround for power management issues for D3 state
          + improved handling of "queue-full" situations
          + added generalized support for iIDMA
          + use of IRQ #0 is now allowed
          + RSCN on big-endian hosts is now fixed
          + corrected byte ordering of fc_host in fabric name
          + fixed various reference counting issues
          + speed sensing of the Fibre Channel interface on new Dell mezzanine
            cards is now supported
     * qla3xxx: updated to latest upstream version (v2.03.00-k4-RHEL4U6). This
       applies several changes, most notably:
          + 4032 chip is now supported
          + Agere PHY chips are now supported
          + fixed a reset timeout issue
          + cleaned up RX packet handling
          + cleaned up NAPI code to improve performance
     * qla4xxx: updated to version 5.01.01-d1. This applies the following
       changes:
          + firmware updates to mailbox commands are now supported
          + fixed a potential NULL pointer dereference
          + updated RESET_HA_INTR completion algorithm to allow other port to
            complete resetting before to re-initializing (applies to dual-port
            cards)
          + removed references to data_cmnd
          + added support for IPv6
          + soft resets are now performed after each fatal error
          + scsi status is now included in the status byte
          + sense key RECOVERED_ERROR is now correctly reported
          + DPC_RESET_HA no longer occurs if a driver is unloading
     * mpt fusion drivers updated to version 3.02.99. This update applies
       several changes, most notably:
          + enhanced error handling
          + domain validation is now done on a per device basis upon the first
            inquiry completion, or when requested by the IR firmware
          + added support for PowerPC
          + each SAS controller can now support up to 1024 devices
          + enhanced CSMI IOCTL operations
     * lpfc: updated to version 8.0.16.34. This applies several changes, most
       notably:
          + removed hba queue depth calculation based on device PCI ID
          + added support for 8G speed and Saturn HBA
          + fixed lpfc_ns_rsp to handle entire GID_FT response
          + fixed a bug that causes a queuecommand panic during driver unload
          + NPort confirmation is no longer performed on fabric ports
          + removed driver dependency on subsystem ID of HBAs
          + added a module parameter to control maximum read DMA byte count
          + updated discovery logic to send RFF to Fabric on link up
          + change mailbox timeout values
          + Saturn heart beat command is now supported
          + Saturn temperature sensor is now supported
          + fixed a bug that causes a system panic observed during firmware
            download
     * arcmsr: driver included in this update to provide support for Areca RAID
       controllers.
     * openib  and  openmpi:  upgraded  to  OFED  (OpenFabrics Enterprise
       Distribution) version 1.2 to provide InfiniBand support.
     * cciss: updated to version 2.6.16 to apply the following changes:
          + Smart Array E500 is now supported
          + reboot notification is now supported
          + HP RAID class storage devices are now supported
     * adp94xx:  updated to version 1.08-13 to improve driver support for
       systems using the AIC94XX Razor SAS controller. This update also applies
       several changes, most notably:
          + Sequencer firmware upgraded from V17 to V32
          + improved error handling of SCSI commands aborted from upper layer
          + added  Empty Data Buffer (EDB) timer event handling to detect
            hot-removal of devices
          + fixed a bug that prevented Fujitsu drives from being detected
          + smartctl utility now works properly
          + the driver now frees the EDB for SATA devices on subsequent ASYNC
            events
          + the driver no longer returns incorrect data for Inquiry, Read
            Capacity and Report LUN commands
     * s2io:  updated to version 2.0.25.1 to provide support for Neterion
       Xframe-II 10GbE network adapter.
     * cxgb3: updated to support the Chelsio 10G Ethernet Network Controller.
     * Promise SATA driver now supports PATA devices.
     * dell_rbu:  updated  to version 3.2 to increase the physical memory
       allocation floor for packets in packet mode. This update also prevents
       kmalloc from being called while a spinlock is held in packet mode.
     * lmsensors now support Nforce4 chipsets.
     * The generic IDE driver now supports JMicron JMB368, JMB363, JMB366,
       JMB360, and JMB361 IDE controllers.
     * aacraid  driver: updated to version 1.1.5-2441 to support PRIMERGY
       RX800S2 and RX800S3.
     * bnx2 driver: updated to version 1.5.11 to support 5709 hardware.
     * ibmveth:  added  netpoll and netconsole support to enabled netdump
       capabilities for crash dumps.
     * tg3 driver updated to version 3.77 to apply general bug fixes and add
       support for Broadcom 5906 and 5722 chipsets.
     * forcedeth-0.60  driver: now included in this release. This applies
       several critical bug fixes for customers using NVIDIA MCP55 motherboard
       chipsets and corresponding onboard NIC.
     * amd74xx.c: added support for NVIDIA MCP55, MCP61, MCP67, and AMD CS5536
       IDE controllers.

Other Updates

     * implicit  active-active  failover (ALUA) using dm-multipath on EMC
       Clariion storage is now supported
     * The Challenge Handshake Authentication Protocol (CHAP) username and
       password have a character limit of 256 each.

Technology Previews

   Technology  Preview features are currently not supported under Red Hat
   Enterprise  Linux  4.6  subscription services, may not be functionally
   complete, and are generally not suitable for production use. However, these
   features are included as a customer convenience and to provide the feature
   with wider exposure.

   Customers may find these features useful in a non-production environment.
   Customers are also free to provide feedback and functionality suggestions
   for a technology preview feature before it becomes fully supported. Erratas
   will be provided for high-severity security issues.

   During  the  development  of  a technology preview feature, additional
   components  may  become available to the public for testing. It is the
   intention of Red Hat to fully support technology preview features in a
   future release.

   Systemtap
          Systemtap provides free software (GPL) infrastructure to simplify the
          gathering of information about the running Linux system. This assists
          diagnosis of a performance or functional problem. With the help of
          systemtap, developers no longer need to go through the tedious and
          disruptive sequence of instrument, recompile, install, and reboot
          that may be otherwise required to collect data.

   Frysk GUI
          The  goal  of  the  frysk  project is to create an intelligent,
          distributed, always-on system monitoring and debugging tool that
          allows developers and system administrators to:

          + monitor running processes and threads (including creation and
            destruction events)
          + monitor the use of locking primitives
          + expose deadlocks
          + gather data
          + debug any given process by choosing it from a list or allowing
            frysk to open a source code (or other) window on a process that is
            crashing or misbehaving

          In this update, the frysk graphical user interface is a technology
          preview, whereas the frysk command line interface is fully supported.

   gcc
          The GNU Compiler Collection (gcc-4.1) is still included in this
          release  as  a Technology Preview. This compiler was originally
          introduced as a Technology preview in Red Hat Enterprise Linux 4.4.

          For more information about gcc-4.1, refer to the project website at
          http://gcc.gnu.org/. An in-depth manual for gcc-4.1.2 can also be
          read at http://gcc.gnu.org/onlinedocs/gcc-4.1.2/gcc/.

   autofs5
          autofs5 is included in this release as a Technology Preview. This new
          version of autofs resolves several long-standing interoperability
          issues  in multi-vendor environments. autofs5 also features the
          following enhancements:

          + direct map support, which provides a mechanism to automatically
            mount file systems at any point in the file system heirarchy
          + lazy mount and umount support
          + enhanced  LDAP  support  through  a  new  configuration file,
            /etc/autofs_ldap_auth.conf
          + complete implementation of nsswitch.conf use
          + multiple master map entries for direct maps
          + complete implementation of map inclusion, which allows the contents
            of specified maps to be included in autofs master maps

          At present, the autofs5 master map lexical analyzer cannot properly
          parse quoted strings in the mount point or map specification. As
          such, quoted strings should be written in the maps themselves.

          autofs is still installed and run by default in this update. As such,
          you need to install the autofs5 package manually if you wish to use
          autofs5 enhancements.

          You can have both autofs and autofs5 installed. However, only one of
          them should be used to provide automount services. To install autofs5
          and use it as your automounter, perform these steps:

         1. Log  in as root and stop the autofs service using the command
            service autofs stop.
         2. Disable the autofs service using the command chkconfig autofs off.
         3. Install the autofs5 package.
         4. Enable the autofs5 service using the command chkconfig autofs5 on.
         5. Start autofs5 using the command service autofs5 start.

          For more information about autofs5, refer to the following man pages
          (after installing the autofs5 package):

          + autofs5(5)
          + autofs5(8)
          + auto.master.v5(5)
          + automount5(8)

          You can also consult
          /usr/share/doc/autofs5-<version>/README.v5.release   for   more
          information.

Known Issues

     * At present, ext2online does not work for EXT2 file systems.
     * Current kernels do not assert Data Terminal Ready (DTR) signals before
       printing to serial ports during boot time. DTR assertion is required by
       some devices; as a result, kernel boot messages are not printed to
       serial consoles on such devices.
     * The    Emulex    lpfc    driver    creates   an   mbox   file   in
       /sys/class/scsi_host/host<scsi host number>/. If an application such as
       systool reads this file, the following error message will be printed to
       the console and logged to the system log file:
mbox_read: Bad State
       This message is benign, and can be safely ignored. Emulex will remove
       this error message in future releases of the lpfc driver.

   ( amd64 )
